"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _helperPluginUtils = require("@babel/helper-plugin-utils");

var _pluginSyntaxPipelineOperator = require("@babel/plugin-syntax-pipeline-operator");

var _minimalVisitor = require("./minimalVisitor");

var _smartVisitor = require("./smartVisitor");

var _fsharpVisitor = require("./fsharpVisitor");

const visitorsPerProposal = {
  minimal: _minimalVisitor.default,
  smart: _smartVisitor.default,
  fsharp: _fsharpVisitor.default
};

var _default = (0, _helperPluginUtils.declare)((api, options) => {
  api.assertVersion(7);
  return {
    name: "proposal-pipeline-operator",
    inherits: _pluginSyntaxPipelineOperator.default,
    visitor: visitorsPerProposal[options.proposal]
  };
});

exports.default = _default;